Skip to main content
This API is NOT available in production environment. It is intended for sandbox validation only.
curl -X POST 'https://order.api.e-cross.tech/orders' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
    "salesChannel": "ECOM",
    "currency": "BRL",
    "salesChannelOrderId": "Sandbox-0001",
    "value": 859.27,
    "creationDate": "2025-03-25T19:32:30.000Z",
    "totals": {
      "itemsGross": 759.27,
      "itemsDiscount": 0,
      "shippingGross": 100,
      "shippingDiscount": 0
    },
    "items": [
      {
        "id": "1",
        "salesChannelSkuId": "69372-elena_hdz_avelon_new-35",
        "quantity": 1,
        "name": "Botas Blogger AUDIOSLAVE 35",
        "listPrice": 759.27,
        "salePrice": 759.27
      }
    ],
    "customer": {
      "type": "PERSON",
      "document": "89414423036",
      "firstName": "Severino",
      "lastName": "Ryan Antonio Caldeira",
      "email": "severino.caldeira@e-cross.tech",
      "billingAddress": {
        "addressName": "Billing Address",
        "city": "Sao Paulo",
        "complement": "Quinto andar",
        "country": "BR",
        "neighborhood": "Centro",
        "number": "31",
        "state": "SP",
        "street": "Rua Benfica",
        "postalCode": "12244000",
        "receiverName": "Severino Ryan Antonio Caldeira"
      },
      "phone": {
        "countryCode": "55",
        "areaCode": "11",
        "number": "999999999"
      }
    },
    "shipping": {
      "deliveryAddress": {
        "addressName": "Billing Address",
        "city": "Sao Paulo",
        "complement": "Quinto andar",
        "country": "BR",
        "neighborhood": "Centro",
        "number": "31",
        "state": "SP",
        "street": "Rua Benfica",
        "postalCode": "12244000",
        "receiverName": "Severino Ryan Antonio Caldeira"
      },
      "deliveries": [
        {
          "name": "Default",
          "company": "Standard",
          "listPrice": 100,
          "salePrice": 100,
          "deliveryTime": 31,
          "deliveryEstimateDate": "2025-04-15T00:00:00.000Z",
          "items": ["1"]
        }
      ]
    },
    "payments": [
      {
        "type": "PIX",
        "value": 859.27
      }
    ],
    "salesChannelOrderData": "{}"
  }'

Request Parameters

salesChannelOrderId
string
required
The order ID in the website. Must be unique.
value
number
required
The total order value. Must be the sum of all product prices (with discounts applied) plus shipping (with discounts applied).
totals
object
required
Order totals breakdown:
  • itemsGross - Total product value without discounts
  • itemsDiscount - Total product discount value
  • shippingGross - Shipping value without discounts
  • shippingDiscount - Total shipping discount value
items
array
required
Items in this order. Each item must have:
  • id - Unique ID for this shopping cart line (must match IDs in delivery items array)
  • salesChannelSkuId - Unique SKU ID (use any SKU that has been approved)
  • listPrice - Unit price with no discounts applied (optional)
  • salePrice - Unit price with discounts applied
  • quantity - Quantity of items
deliveries
array
required
Deliveries in this order. Always an array with one element:
  • listPrice - Shipping value with no discounts applied
  • salePrice - Shipping value with discounts applied
  • items - Array of item IDs that are in this delivery (must match item IDs)
payments
array
required
Payment information. Do not change anything other than the value:
  • value - Payment value (should match order value)
  • type - Payment method type

Response

The response returns the complete order object. Refer to the Get order by ID endpoint for the response fields.